October 21, 2026
· 11 min read
GET /checkouts
- added the optional property
results/items/checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
results/items/checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
results/items/checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
POST /checkouts
- added the optional property
checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the201status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the201status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the201status (media type: application/json)
POST /checkouts/preview-discount-code
- added the new optional request property
item/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership(media type: application/json) - added the new optional request property
item/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership(media type: application/json) - added the new optional request property
item/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership(media type: application/json)
GET /checkouts/{id}
- added the optional property
checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
PATCH /checkouts/{id}
- added the optional property
checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
PUT /checkouts/{id}
- added the optional property
checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
POST /checkouts/{id}/add_item
- added the new optional request property
oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership(media type: application/json) - added the new optional request property
oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership(media type: application/json) - added the new optional request property
oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership(media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
POST /checkouts/{id}/cancel
- added the optional property
checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
GET /checkouts/{id}/items/{item_id}/
- added the optional property
oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
POST /checkouts/{id}/items/{item_id}/price/
- added the optional property
oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
POST /checkouts/{id}/items/{item_id}/quantity/
- added the optional property
oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json) - added the optional property
oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membershipto the response with the200status (media type: application/json)
GET /communication/push_settings/class_reminders
- endpoint added
POST /communication/push_settings/class_reminders
- endpoint added
DELETE /communication/push_settings/class_reminders/{id}
- endpoint added
GET /communication/push_settings/class_reminders/{id}
- endpoint added
PATCH /communication/push_settings/class_reminders/{id}
- endpoint added
PUT /communication/push_settings/class_reminders/{id}
- endpoint added
GET /customer_memberships
- added the required property
results/items/renew_fromto the response with the200status (media type: application/json)
POST /customer_memberships
- added the required property
renew_fromto the response with the201status (media type: application/json)
POST /customer_memberships/bulk_edit_prices
- added the required property
renew_fromto the response with the200status (media type: application/json)
GET /customer_memberships/{id}
- added the required property
renew_fromto the response with the200status (media type: application/json)
POST /customer_memberships/{id}/cancel
- added the required property
renew_fromto the response with the200status (media type: application/json)
GET /invoices
- added the enum value
-idto the propertyitems/of thequeryrequest parametersort - added the enum value
idto the propertyitems/of thequeryrequest parametersort